iwl4965 firmware missing in alternate installer

Bug #220917 reported by Matt Zimmerman on 2008-04-23
18
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
High
Colin Watson
Hardy
Undecided
Unassigned
Intrepid
High
Colin Watson
linux-restricted-modules (Ubuntu)
High
Ben Collins
Hardy
Medium
Tim Gardner
Intrepid
High
Ben Collins
linux-ubuntu-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Hardy
Medium
Tim Gardner
Intrepid
Undecided
Unassigned

Bug Description

In testing 8.04 release candidates, I noticed that the iwl4965 firmware binary is not available in the alternate installer, which in my case meant that I had no network available in the installer. This seems to be because it is not included in the nic-firmware udeb.

It worked fine in the installed system, of course.

I will attach a complete dmesg, which includes the following excerpt:

[ 78.534487] iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.0
[ 78.534491] iwl4965: Copyright(c) 2003-2007 Intel Corporation
[ 78.560573] iwl4965: Detected Intel Wireless WiFi Link 4965AGN
[ 78.925981] iwl4965: iwlwifi-4965-1.ucode firmware file req failed: Reason -2
[ 78.925987] iwl4965: Could not read microcode: -2
[ 78.927202] iwl4965: probe of 0000:03:00.0 failed with error -2

Matt Zimmerman (mdz) wrote :
Colin Watson (cjwatson) wrote :

This should be easy to fix for 8.04.1.

Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team
milestone: none → ubuntu-8.04.1
status: New → Confirmed

On Wed, Apr 23, 2008 at 12:57:54PM -0000, Colin Watson wrote:
> This should be easy to fix for 8.04.1.

If so, I think the ipw3945 firmware is missing as well, and perhaps all of
the available firmware in this package should be reviewed and considered for
inclusion in the udeb.

--
 - mdz

Steve Langasek (vorlon) on 2008-05-22
Changed in linux-ubuntu-modules-2.6.24:
importance: Undecided → Medium
milestone: none → ubuntu-8.04.1
status: New → Confirmed
assignee: nobody → ubuntu-kernel-team
milestone: ubuntu-8.04.1 → none
Steve Langasek (vorlon) wrote :

unfortunately this didn't get done for 8.04.1. We should certainly make sure this happens in time for the 8.04.2 set of CDs.

Changed in linux-ubuntu-modules-2.6.24:
milestone: ubuntu-8.04.1 → ubuntu-8.04.2
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: iwlwifi wireless does not work during Alternate Install.

Patch Description: Add iwlwifi firmware to the list of firmware files included in the d-i firmware package.

Patch: http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-hardy-lum.git;a=commit;h=a3c6296a4bc40a9c6ddc596bedfc5ebab08e5643

Test Case: See Bug Description

Tim Gardner (timg-tpi) wrote :
Changed in linux-ubuntu-modules-2.6.24:
assignee: ubuntu-kernel-team → timg-tpi
status: Confirmed → Fix Committed
Steve Langasek (vorlon) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Matt Zimmerman (mdz) wrote :

On Fri, Jul 18, 2008 at 04:21:03PM -0000, Steve Langasek wrote:
> Accepted into -proposed, please test and give feedback here. Please see
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!

I think some specialized instructions would be necessary in order to test
udebs from -proposed, no?

--
 - mdz

Matt Zimmerman (mdz) wrote :

Is this fixed in Intrepid or no?

Steve Langasek (vorlon) wrote :

On my installed intrepid system, all of the firmware files in question appear to be provided by linux-restricted-modules-common, which does not provide a udeb; given that l-r-m-common is in restricted, they wouldn't be included on the alternate CD image anyway, but I'm not sure why these have moved archive sections between hardy and intrepid?

Steve Langasek (vorlon) wrote :

...right, of course it can be included on the CD, it just can't be included in the d-i initramfs which is not at all an issue here. Scratch that. :)

Pete Graner (pgraner) on 2008-10-10
Changed in linux-ubuntu-modules-2.6.24:
assignee: ubuntu-kernel-team → ben-collins
Ben Collins (ben-collins) wrote :

This is partially fixed now that we have an lrm with a firmware udeb. However, to properly fix for upgrades and servers, we will have a linux-firmware deb/udeb and linux-image-<foo> metapackages will depend on it.

Changed in linux-ubuntu-modules-2.6.24:
importance: Undecided → High
milestone: none → ubuntu-8.10
status: Confirmed → In Progress
Ben Collins (ben-collins) wrote :

Uploaded a new linux-firmware package, that the linux-image-generic meta package will depend on.

Changed in linux-restricted-modules:
status: In Progress → Fix Released
Matt Zimmerman (mdz) wrote :

Reopening for now; this package is in the NEW queue and this bug should be closed automatically when it is accepted

Changed in linux-restricted-modules:
status: Fix Released → Triaged
Matt Zimmerman (mdz) on 2008-10-15
Changed in linux-restricted-modules:
status: Triaged → Fix Committed
Steve Langasek (vorlon) wrote :

This bug wasn't mentioned in the linux-restricted-modules changelog, so it won't be autoclosed. It needs to be closed by hand once things settle.

Steve Langasek (vorlon) wrote :

linux-firmware is now being pulled in by linux-image-$flavor; closing.

Changed in linux-restricted-modules:
status: Fix Committed → Fix Released
Colin Watson (cjwatson) on 2008-10-16
Changed in debian-installer:
status: New → Invalid
assignee: nobody → kamion
status: New → In Progress
Colin Watson (cjwatson) on 2008-10-16
Changed in debian-installer:
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20080522ubuntu20

---------------
debian-installer (20080522ubuntu20) intrepid; urgency=low

  * Update help text translations from Launchpad.
  * Use unversioned nic-firmware and scsi-firmware packages instead of the
    old versioned ones (LP: #220917).

 -- Colin Watson <email address hidden> Thu, 16 Oct 2008 20:03:00 +0100

Changed in debian-installer:
status: In Progress → Fix Released
Colin Watson (cjwatson) wrote :

The hardy fix was in linux-ubuntu-modules rather than linux-restricted-modules, so I've rearranged the bug tasks to match.

Changed in linux-ubuntu-modules-2.6.24:
status: New → Invalid
status: New → Invalid
assignee: nobody → timg-tpi
importance: Undecided → Medium
milestone: none → ubuntu-8.04.2
status: New → Fix Committed
Changed in linux-restricted-modules:
milestone: ubuntu-8.04.2 → none
status: Fix Committed → Invalid
Colin Watson (cjwatson) wrote :

This has been fixed in the linux-ubuntu-modules-2.6.24 package now in hardy-updates. (I've confirmed that it has ended up in the installer image in hardy-proposed, which will be copied to hardy-updates as part of the preparation process for 8.04.2.)

Changed in linux-ubuntu-modules-2.6.24:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments